Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.office
Class ListCounter

    java.lang.Object
      writer2latex.office.ListCounter

    public class ListCounter

extends java.lang.Object

This class produces labels for OOo lists/outlines (for xhtml and text, which cannot produce them on their own).

Field Summary
`private int[]` | `nCounter`
`private int` | `nLevel`
`private java.lang.String[]` | `sNumFormat`
`private ListStyle` | `style`

Constructor Summary
`ListCounter(ListStyle style)`

Method Summary
`private java.lang.String` | `formatNumber(int number, java.lang.String sStyle, boolean bLetterSync)`
`java.lang.String` | `getLabel()`
`int` | `getValue(int nLevel)`
`ListCounter` | `restart(int nLevel)`
`ListCounter` | `restart(int nLevel, int nValue)`
`ListCounter` | `step(int nLevel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nCounter

    private int[] nCounter

### sNumFormat

    private java.lang.String[] sNumFormat

### style

    private ListStyle style

### nLevel

    private int nLevel

Constructor Detail

### ListCounter

    public ListCounter(ListStyle style)

Method Detail

### step

    public ListCounter step(int nLevel)

### restart

    public ListCounter restart(int nLevel)

### restart

    public ListCounter restart(int nLevel,
                               int nValue)

### getValue

    public int getValue(int nLevel)

### getLabel

    public java.lang.String getLabel()

### formatNumber

    private java.lang.String formatNumber(int number,
                                          java.lang.String sStyle,
                                          boolean bLetterSync)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD